English
Common Parameters
About 163 wordsLess than 1 minute
2026-05-18
Common parameters for the OrderPass product list plugin are listed below.
| Parameter | Description | Type |
|---|---|---|
| params / param | Context parameters passed to the current event. They usually include the container component context and data access capability. | Object |
| plugin / pluginService | Plugin instance or common plugin service instance. | Object |
| actions | Operation data collection in post-list-render events, such as the current product list data. | Object |
Page State
Product list events can obtain dhtPageContext.pageState through params.dataGetter.getState().
const pageState = params.dataGetter.getState();Common Data
| Parameter | Description | Type |
|---|---|---|
| context | Container component instance | Object |
| dataGetter.getState | Method for getting page state | Function |
| actions.listData | Current rendered product list data. Commonly used in dht.site.mall.list.render.after. | Array |
Return Values
dht.site.mall.plugin.init.aftercan return an empty object or initialization resultdht.site.mall.list.render.beforereturns request parameter processing, response data processing, component replacement, or action handling configurationdht.site.mall.list.render.aftercan return an empty object or post-processing resultdht.site.mall.category.render.beforereturns a custom category data request function or category component replacement configuration
